com.google.cloud.dataflow.sdk.runners.inprocess

## Class InProcessRegistrar.InProcessRunner

- java.lang.Object
- - com.google.cloud.dataflow.sdk.runners.inprocess.InProcessRegistrar.InProcessRunner

All Implemented Interfaces:
  PipelineRunnerRegistrar

Enclosing class:
  InProcessRegistrar

    @AutoService(value=PipelineRunnerRegistrar.class)
    public static class InProcessRegistrar.InProcessRunner
    extends Object
    implements PipelineRunnerRegistrar

Registers the `InProcessPipelineRunner`.

### Constructor Summary

Constructors
Constructor and Description
`InProcessRunner()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Iterable<Class<? extends PipelineRunner<?>>>` `getPipelineRunners()` Get the set of `PipelineRunners` to register.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InProcessRunner

    public InProcessRunner()

### Method Detail

#### getPipelineRunners

    public Iterable<Class<? extends PipelineRunner<?>>> getPipelineRunners()

Description copied from interface: `PipelineRunnerRegistrar`
Get the set of `PipelineRunners` to register.

Specified by:
  `getPipelineRunners` in interface `PipelineRunnerRegistrar`